Rapid7 Vulnerability & Exploit Database

Red Hat: CVE-2022-24407: failure to properly escape SQL input allows an attacker to execute arbitrary SQL commands (Multiple Advisories)

Free InsightVM Trial No Credit Card Necessary
Watch Demo See how it all works
Back to Search

Red Hat: CVE-2022-24407: failure to properly escape SQL input allows an attacker to execute arbitrary SQL commands (Multiple Advisories)

Severity
7
CVSS
(AV:N/AC:L/Au:S/C:P/I:P/A:P)
Published
02/23/2022
Created
02/25/2022
Added
02/24/2022
Modified
12/15/2023

Description

In Cyrus SASL 2.1.17 through 2.1.27 before 2.1.28, plugins/sql.c does not escape the password for a SQL INSERT or UPDATE statement.

Solution(s)

  • redhat-upgrade-cyrus-sasl
  • redhat-upgrade-cyrus-sasl-debuginfo
  • redhat-upgrade-cyrus-sasl-debugsource
  • redhat-upgrade-cyrus-sasl-devel
  • redhat-upgrade-cyrus-sasl-devel-debuginfo
  • redhat-upgrade-cyrus-sasl-gs2
  • redhat-upgrade-cyrus-sasl-gs2-debuginfo
  • redhat-upgrade-cyrus-sasl-gssapi
  • redhat-upgrade-cyrus-sasl-gssapi-debuginfo
  • redhat-upgrade-cyrus-sasl-ldap
  • redhat-upgrade-cyrus-sasl-ldap-debuginfo
  • redhat-upgrade-cyrus-sasl-lib
  • redhat-upgrade-cyrus-sasl-lib-debuginfo
  • redhat-upgrade-cyrus-sasl-md5
  • redhat-upgrade-cyrus-sasl-md5-debuginfo
  • redhat-upgrade-cyrus-sasl-ntlm
  • redhat-upgrade-cyrus-sasl-ntlm-debuginfo
  • redhat-upgrade-cyrus-sasl-plain
  • redhat-upgrade-cyrus-sasl-plain-debuginfo
  • redhat-upgrade-cyrus-sasl-scram
  • redhat-upgrade-cyrus-sasl-scram-debuginfo
  • redhat-upgrade-cyrus-sasl-sql
  • redhat-upgrade-cyrus-sasl-sql-debuginfo

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;